
---
kind: Pod
apiVersion: v1
metadata:
  name: whoami-parent
  labels:
    app: "whoami-parent"
spec:
  containers:
  - name: whoami-container
    image: aemc/whoami

---
kind: Pod
apiVersion: v1
metadata:
  name: whoami-child
spec:
  affinity:
    podAntiAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
      - labelSelector:
          matchExpressions:
          - key: "app"
            operator: "In"
            values:
            - "whoami-parent"
        topologyKey: "kubernetes.io/hostname"
  containers:
  - name: whoami-container
    image: aemc/whoami:latest
